package com.ruoyi.system.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 消息接收记录对象 sys_message_record
 * 
 * @author haotian
 * @date 2024-11-04
 */
public class SysMessageRecord extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键自增，消息接收记录的唯一标识 */
    private Long messageRecordId;

    /** 消息id */
    @Excel(name = "消息id")
    private Long messageId;

    /** 用户id，表示接收消息的用户 */
    @Excel(name = "用户id，表示接收消息的用户")
    private Long userId;

    /** 阅读状态
a.0 */
    @Excel(name = "阅读状态")
    private String isRead;

    /** 阅读时间，当用户阅读消息时记录的时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "阅读时间，当用户阅读消息时记录的时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date readTime;

    public void setMessageRecordId(Long messageRecordId) 
    {
        this.messageRecordId = messageRecordId;
    }

    public Long getMessageRecordId() 
    {
        return messageRecordId;
    }
    public void setMessageId(Long messageId) 
    {
        this.messageId = messageId;
    }

    public Long getMessageId() 
    {
        return messageId;
    }
    public void setUserId(Long userId) 
    {
        this.userId = userId;
    }

    public Long getUserId() 
    {
        return userId;
    }
    public void setIsRead(String isRead) 
    {
        this.isRead = isRead;
    }

    public String getIsRead() 
    {
        return isRead;
    }
    public void setReadTime(Date readTime) 
    {
        this.readTime = readTime;
    }

    public Date getReadTime() 
    {
        return readTime;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("messageRecordId", getMessageRecordId())
            .append("messageId", getMessageId())
            .append("userId", getUserId())
            .append("isRead", getIsRead())
            .append("readTime", getReadTime())
            .append("createTime", getCreateTime())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
